include:
  - project: 'mro/common/tools/gitlab-ci-utils'
    file:
      - 'ci/scripts/gitlab-ci-docker.yml'
      - 'ci/scripts/gitlab-ci-artifacts.yml'
      - 'ci/scripts/gitlab-ci-node.yml'

stages:
  - build
  - test
  - deploy

webapp-build-prod:
  extends: .webapp-build-prod

docker-latest:
  extends: .docker-latest
  stage: deploy
  variables:
    DOCKER_ARGS: --build-arg perms=g-w
    DOCKERFILE: "Dockerfile"
  dependencies: [ 'webapp-build-prod' ]

test:
  extends: .webapp-test
  variables:
    DEPENDENCIES: 'chromium build-essential'

test-lts:
  image: node:lts-slim
  extends: .webapp-test
  variables:
    DEPENDENCIES: 'chromium build-essential'

typecheck:
  extends: '.node-typecheck'
  variables:
    DEPENDENCIES: build-essential


# Deploy the pages generated to DFS
ci-artifacts:
  extends: .ci-artifacts
  dependencies: [ test, typecheck ]
